package org.rcisoft.business.system.user.controller;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.system.user.entity.SysUser;
import org.rcisoft.business.system.user.service.UserService;
import org.rcisoft.core.result.Result;
import org.rcisoft.core.util.ResultGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.support.JstlUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author: GaoLiWei
 * @Date: Created in 10:462018/5/8
 */
@Controller
@RequestMapping("/login")
public class LoginController {

    @Autowired
    private UserService userService;

    /**
     * 登录
     * @param user
     * @return
     */
    @ApiImplicitParams({@ApiImplicitParam(name = "user", value = "用户名,密码", required = true, dataType = "SysUser")})
    @PostMapping(value = "${jwt.route.authentication.path}")
    @ResponseBody
    public Result login(@RequestBody SysUser user){
        String username = user.getUserNm();
        String password = user.getUserPwd();
        final String token = userService.login(username, password);
        Result result = ResultGenerator.genSuccessResult(token);
        return result;
    }





}
