package org.rcisoft.business.system.user.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.system.user.entity.SysRole;
import org.rcisoft.business.system.user.entity.SysUser;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author: GaoLiWei
 * @Date: Created in 10:422018/5/2
 */
@Repository
public interface RoleRepository extends BaseMapper<SysUser>{

    /** 根据用户ID查找用户权限
     * @param userId
     * @return
     */
    List<SysRole> listRoleByUserId(@Param("userId") String userId);

    @Select("<script>select a.*,b.MENU_ID from sys_role a left join rel_role_menu b on a.role_id = b.role_id</script>")
    List<Map<String,Object>> listRoleAll();

    @Select("<script>select * from sys_menu where MENU_ID in <foreach collection=\"menuList\" index=\"index\" item=\"menu\" open=\"(\" separator=\",\" close=\")\">\n" +
            "            #{menu}\n" +
            "        </foreach></script>")
    List<Map<String,Object>> queryMenuByIds(@Param("menuList") List<String> menuList);
}
