package org.rcisoft.business.system.user.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.google.common.collect.Lists;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

/**
* Created with  on 2018-5-2 10:30:10.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "sys_user")
public class SysUser {

     @Id
     private String userId;

     private String userNm;

     private String userPwd;

     private String userTp;

     /**
      *  拥有角色列表
      */
     @Transient
     private List<SysRole> roleList = Lists.newArrayList();

     /**
      * 权限列表
      * @return
      */
     @JsonIgnore
     public List<SimpleGrantedAuthority> getSimpleAuthorities(){
          List<SimpleGrantedAuthority> authorities = new ArrayList<SimpleGrantedAuthority>();
          SimpleGrantedAuthority auth = null;
          for (SysRole sysRole: roleList) {
               auth = new SimpleGrantedAuthority(sysRole.getRoleId());
               authorities.add(auth);
          }
          return authorities;
     }

     public List<SysRole> getRoleList() {
          return roleList;
     }

     public void setRoleList(List<SysRole> roleList) {
          this.roleList = roleList;
     }

     public String getUserId() {
          return userId;
     }

     public void setUserId(String userId) {
          this.userId = userId;
     }

     public String getUserNm() {
          return userNm;
     }

     public void setUserNm(String userNm) {
          this.userNm = userNm;
     }

     public String getUserPwd() {
          return userPwd;
     }

     public void setUserPwd(String userPwd) {
          this.userPwd = userPwd;
     }

     public String getUserTp() {
          return userTp;
     }

     public void setUserTp(String userTp) {
          this.userTp = userTp;
     }
}

