package org.rcisoft.business.system.user.service;

import org.rcisoft.business.system.user.entity.*;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;
import java.util.Map;

/**
 * @Author: GaoLiWei
 * @Date: Created in 10:422018/5/2
 */
public interface UserService {


     /**
      * 登录
      * @param username
      * @param password
      * @return
      */
     String login(String username, String password);

     /**  添加系统用户
      * @param sysUser
      * @param sysAdmins
      * @param sysOwner
      * @param sysPrincipal
      * @return
      */
     int saveUser(SysUser sysUser, SysAdmins sysAdmins, SysOwner sysOwner,SysPrincipal sysPrincipal);


     /**  修改系统用户
      * @param sysUser
      * @param sysAdmins
      * @param sysOwner
      * @param sysPrincipal
      * @return
      */
     String updateUser(SysUser sysUser, SysAdmins sysAdmins, SysOwner sysOwner,SysPrincipal sysPrincipal);

     /** 根据userId删除用户
      * @param userId
      * @return
      */
     String deleteUser(String userId);

     /** 根据userId查找用户
      * @param userId
      * @return
      */
     Object getUserByUserId(String userId);

     /** 根据userId查出可以看到的菜单
      * @param userId
      * @return
      */
     List<Map<String,Object>> listMenuBuUserId(String userId);


     /** 维护角色可以看到的菜单
      * @param relRoleMenu
      * @return
      */
     int updateRoleMenu(RelRoleMenu relRoleMenu);

     List<Map<String,Object>> listMenuAll();

     List<Map<String,Object>> listRoleAll();

     List<Map<String,Object>> listTeamAll();

     List<Map<String,Object>> listOwnerAll();

     List<Map<String,Object>> listUserAllByPagination(PageUtil<SysUser> paginationUtility,String userTp);


}
